*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
body
{
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    margin: 0;
    background-color: white;
    text-align: justify;
}
a
{
    text-decoration: none;
    color: white;
    padding: 3px;
    font-size: 18px;
}
.loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000033;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10000; 
    opacity: 1; 
    transition: opacity 0.5s ease-in-out; 
}
.loader.hide {
    opacity: 0; 
    pointer-events: none; 
}
.spinner {
    width: 106.3px; 
    height: 114.5px; 
    animation: spin 2s linear infinite; 
}
.static-image {
    position: absolute;
    width: 104.3px; 
    height: 112.5px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);   
}
@keyframes spin {
    0% { transform: rotate(0deg); } 
    100% { transform: rotate(360deg); } 
}
/*---- POPUP ----*/
.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;                /* ocupar toda la pantalla */
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 999;
}
  
.popup-content {
    display: flex;
    justify-content: center;    /* centrar horizontal */
    align-items: center;        /* centrar vertical */
    flex-direction: column;     /* contenido ordenado en columna */
    border-radius: 20px;
    background: #fff;           /* fondo para que destaque */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    width: 400px;               /* más ancho en PC */
    max-width: 90%;             /* se adapta a pantallas pequeñas */
    height: auto;               /* ajusta la altura al contenido */
    padding: 20px;
    box-shadow: 0px 5px 25px rgba(0,0,0,0.5);
}

.popup-content img {
    max-width: 100%;            /* se adapta al contenedor */
    height: auto;
    border-radius: 15px;
}
       
.close-btn {
    position: absolute;
    top: 15px;
    right: 15px;
    font-size: 22px;
    cursor: pointer;
    color: #fff;
    background-color: #000033;
    border-radius: 50%;
    padding: 5px 10px;
    transition: 0.3s;
}

.close-btn:hover {
    background-color: #333399;  /* efecto hover */
}
header 
{
    min-height: 70px;
    display: flex;
    background-color: #000033;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    width: 100%;
    position: fixed;
    z-index: 10;
    box-shadow: -5px 5px 20px black;
}
.nav
{
    display: flex;
    align-items: center;
    justify-content: center;
}

.logohead
{
    display: flex;
    align-items: center;
}
.logohead img
{
    height: 75px;
    padding-right: 20px;
    padding-left: 15px;
}
#contenedor 
{ 
    max-width: 100%; margin: 1em auto; 
}
#contenedor .palabra 
{ 
    text-align: center; float: left; width: 100%; 
}
#contenedor .palabra > span 
{ 
    text-decoration: underline; 
}
nav a
{
    text-align: center;
    font-weight: 900;
    padding-right: 20px;
    padding-left: 20px;
    padding-top: 15px;
    padding-bottom: 15px;
    border-radius: 10px;
    margin: 2.5px;
    transition: background-color 0.2s ease-in-out;
}
.nav-link:hover
{
    color: white;
    background-color: #ffc400;
    
}
.vertical-menu
{
    position: absolute;
    list-style: none;
    background-color: #ffaf01;
    border-radius: 15px;
    margin-top: -1%;
    opacity: 0;
    transform: scaleY(0);
    transform-origin: top;
    transition: all 0.3s ease;
    margin-top: 5px;
}
.navegation li:hover .vertical-menu
{
    opacity: 3;
    transform: scaleY(1);
}
.navinco:hover
{
    background-color: #000033;
}
@media (max-width: 1313px)
{
    header
    {
        flex-direction: column;
    }
    nav 
    {
        padding: 10px 0px
    };  
}
.actual-page
{
    font-weight: 900;
    padding-right: 30px;
    padding-left: 30px;
    padding-top: 10px;
    padding-bottom: 10px;
    border-radius: 10px;
    color: white;
    background-color: #ffae00;
}
.header {
    position: fixed;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
}
.header .menu ul li{
    float: left;
    position: relative;
}
.menu ul {
    list-style: none;
}
.navegation ul {
    list-style: none;
}
.navegation {
    margin-right: 50px;
}
.header .navegation ul li {
    float: left;
    position: relative;   
}
.header .navegation ul li a {
    font-size: 18px;
    color: white;
    text-decoration: none;
    padding: 5px 20px;
    display: block;
    transition: all .2s ease;
}
.header .navegation ul li a:hover{
    background-color: #ffd601;
}
.header .navegation ul li:hover > ul {
    display: initial;
}
#toggle,
.header label{
    display: none;
    cursor: pointer;
    background-color: #ffd601;
    border-radius: 4px;
    transition: all .9s ;
}
.menu {
    width: 45px;
    height: 45px;
}
#btn-mas{
    display: none;
}

.btn-chat {
    opacity: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    background: #ffd601;
    color: #000033;
    width: 55px;
    height: 55px;
    border-radius: 50%;
    box-shadow: 0px 1px 10px rgba(0,0,0,0.4);
    transition: all 500ms ease;
    margin-top: 10px;
}

.container2{
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 3;
}
.redes a, .btn-mas label{
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    background: #ffd601;
    color: #000033;
    width: 55px;
    height: 55px;
    border-radius: 50%;
    box-shadow: 0px 1px 10px rgba(0,0,0,0.4);
    transition: all 500ms ease;
}
.redes a:hover{
    background: #000033;
    color: white;
}
.redes a{
    margin-bottom: -15px;
    opacity: 0;
    visibility: hidden;
}

.redes a img {
    width: 30px;
}

#btn-mas:checked~ .redes a{
    margin-bottom: 10px;
    opacity: 1;
    visibility: visible;
}
.btn-mas label{
    cursor: pointer;
    background: #ffd601;
}

.btn-mas {
    display: grid;
    justify-content: center;
    align-items: center;
}

.btn-mas img {
    width: 30px;
}

#btn-mas:checked ~ .btn-mas label{
    transform: rotate(135deg);
    font-size: 25px;
}

.carousel {
    position: relative;
    width: 100%;
    height: 86.1vh;
    margin-top: 21px;
}

.carousel-inner {
    position: absolute;
    width: 100%;
    height: 100%;
}

.carousel-item {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.carousel-item.active {
    opacity: 1;
}

.carousel-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.textoboton
{
    background-color: #ffd601;
    padding-top: 80px;
    padding-bottom: 10px;
    margin-top: -900px;
    box-shadow: 10px -10px 20px black;
}
.colegioh3
{
    text-align: center;
    font-size: 25px;
    margin-bottom: -20px;
    font-family: 'Noto Sans', sans-serif;
}
.emilianih1
{
    text-align: center;
    font-size: 90px;
    font-weight: bolder;
    font-family: 'Noto Sans', sans-serif;
}
.centroh3
{
    text-align: center;
    font-size: 25px;
    margin-top: -20px;
    font-family: 'Noto Sans', sans-serif;
}
.subrayadoh1
{
    background-color: #000033;
    padding: 6px;
    margin-right: 460px;
    margin-left: 460px;
    margin-top: -2px;
}
.txtindex
{
    margin-top: 40px;
    margin-right: 190px;
    margin-left: 190px;
    margin-bottom: 6%;
}
.txtindex p
{
    font-size: 20px;
    text-align: justify;
}
.sabermas
{
    display: flex;
    background-color: #000033;
    padding: 15px;
    font-size: 30px;
    border-radius: 10px;
    transition: transform 0.3s ease-in-out;
    justify-content: center;
    margin-left: 560px;
    margin-right: 560px;
    margin-top: -30px;
    margin-bottom: 100px;
}
.sabermas:hover
{
    transform: translateY(-7px);
}
.fondocarrera
{
    background-color: #000033;
    background-image: url("img/bluecontainer.svg");
    background-size: cover;
}
.txtcarrera
{
    font-size: 80px;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    color: #ffffff;
    font-weight: bolder;
    text-align: center;
    font-family: 'Sarabun', sans-serif;
    padding-bottom: 50px;
    padding-top: 50px;
    text-shadow: 4px 2px 0px #000033;
}
.carrerabgr
{
    background-color: #000033;
    padding-top: 60px;
    padding-bottom: 60px;
}
.cajacarrera
{
    display: flex;
    justify-content: center;
    margin-right: 150px;
    margin-left: 150px ;
    border-top-left-radius: 130px;
    border-bottom-right-radius: 135px;
    margin-top: 50px;
    margin-bottom: 50px;
    padding-left: 20px;
    background-image: url("franja.svg");
    background-size: cover;
}
.cajacarrerablue
{
    display: flex;
    justify-content: center;
    margin-right: 150px;
    margin-left: 150px ;
    border-top-right-radius: 130px;
    border-bottom-left-radius: 135px;
    margin-top: 50px;
    margin-bottom: 50px;
    background-image: url("franja.svg");
    background-size: cover;
}
.carreraimgblue
{
    width: 420px;
    border-bottom-left-radius: 130px;
}
.carreraimg
{
    width: 420px;
    border-bottom-right-radius: 130px;
}
.carreraeltexto
{
    margin: 60px;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-size: 20px;   
}
.titulocarrera
{
    text-align: left;
    font-size: 60px;
    color: white;
    font-family: 'Sarabun', sans-serif;
}
.verpensum
{
    display: inline-block;
    background-color: #000033;
    padding: 15px;
    font-size: 25px;
    border-radius: 10px;
    transition: transform 0.3s ease-in-out;
}
.verpensum:hover
{
    transform: translateY(-7px);
}
.verpensumylw
{
    display: inline-block;
    background-color: #ffd601;
    padding: 15px;
    font-size: 25px;
    border-radius: 10px;
    transition: transform 0.3s ease-in-out;
}
.verpensumylw:hover
{
    transform: translateY(-7px);
}
.descwhite
{
    color: white;
    font-size: 18px;
    margin-bottom: -38px;
}
.descblack
{
    color: white;
    font-size: 18px;
    margin-bottom: -38px;
}
.pie-pagina{
    width: 100%;
    background-color: #000033;
}
.pie-pagina .grupo-1{
    width: 100%;
    max-width: 1200px;
    margin: auto;
    display:grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap:50px;
    padding: 45px 0px;
}
.pie-pagina .grupo-1 .box figure{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.pie-pagina .grupo-1 .box figure img{
    width: 250px;
}
.pie-pagina .grupo-1 .box h2{
    color: #fff;
    margin-bottom: 25px;
    font-size: 20px;
}
.pie-pagina .grupo-1 .box p{
    text-align: justify;
    color: #ffffff;
    margin-bottom: 10px;
}

.pie-pagina .grupo-1 .red-social{
    display: flex;
    justify-content: center;
    text-align: center;
}

.pie-pagina .grupo-1 .red-social a {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 5px;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background-color: #ffd601;
}

.pie-pagina .grupo-1 .red-social a img {
    width: 40px;
}

.pie-pagina .grupo-1 .red-social a:hover{
    box-shadow: 1px 1px 8px white;
}
.pie-pagina .grupo-2{
    background-color: #ffd601;
    padding: 15px 10px;
    text-align: center;
    color: #170449;
}
.pie-pagina .grupo-2 small{
    font-size: 15px;
}


/*----------------------------------------------- RESPONSIVE PARA 4/3 -----------------------------------------------*/

@media (min-width: 601px) and (max-width: 1300px) {

    .carousel {
        width: 100%;
        height: 550px;
    }

    .colegioh3 {
        font-size: 13pt;
        margin-bottom: -10px;
    }
    .emilianih1 {
        font-size: 60px;
    }
    .centroh3 {
        font-size: 13pt;
        margin-top: -10px;
    }

    .subrayadoh1 {
        width: 60%;
        margin-left: 15%;
        margin-right: 15%;
    }

    .textoboton {
        display: grid;
        place-items: center;
    }

    .txtindex {
        margin-left: 10%;
        margin-right: 10%;
        font-size: 10pt;
    }

    .sabermas {
        font-size: 15pt;
        width: 50%;
        padding: 5px;
        margin: 0;
    }

    .cajacarrera {
        margin: 5%;
        padding: 0;
        border-top-left-radius: 100px;
        border-bottom-right-radius: 100px;
    }
    .cajacarrerablue {
        margin: 5%;
        padding: 0;
        border-top-right-radius: 100px;
        border-bottom-left-radius: 100px;
    }

    .titulocarrera {
        font-size: 30pt;
    }

    .txtcarrera {
        padding: 10px 0;
        font-size: 35pt;
    }

    .descwhite {
        font-size: 15pt;
    }
    .descblack {
        font-size: 15pt;
    }
    .carreraimg {
        display: none;
    }
    .carreraimgblue {
        display: none;
    }
    .carreraeltexto {
        width: 900px;
        margin: 60px;
    }
    .verpensumylw {
        text-align: center;
        font-size: 15pt;
        width: 100%;
    }
    .verpensum {
        text-align: center;
        font-size: 15pt;
        width: 100%;
        margin:10px;
    }



    /*----------------------------------------------- PIE DE PÁGINA RESPONSIVE -----------------------------------------------*/

    .pie-pagina .grupo-1{
        width: 90%;
        grid-template-columns: repeat(1, 1fr);
        grid-gap:30px;
        padding: 35px 10px;
        margin-bottom: 20px;
    }

    .pie-pagina .grupo-1 {
        padding: 20px 35px 20px 35px;
    }

    .pie-pagina .grupo-1 .red-social {
        display: inline-flex;
    }

    .pie-pagina .grupo-1 .box figure {
        justify-content: center;
        text-align: center;
    }

    .pie-pagina .grupo-1 .box figure img {
        width: 150px;
        height: 160px;
    }
    .pie-pagina .grupo-2 small{
        font-size: 1em;
    }

    .redes a, .btn-mas label{
        display: flex;
        justify-content: center;
        align-items: center;
        text-decoration: none;
        background: #ffd601;
        color: #000033;
        width: 55px;
        height: 55px;
        border-radius: 50%;
        box-shadow: 0px 1px 10px rgba(0,0,0,0.4);
        transition: all 500ms ease;
    }

    .pie-pagina .grupo-1 .box h2{
        font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
        font-size: 1.5em;
    }

    .pie-pagina .grupo-1 .box p {
        font-size: 1em;
    }

}


/*----------------------------------------------- RESPONSIVE PARA CELULAR -----------------------------------------------*/

@media (max-width: 600px) {
    
    .carousel {
        width: 100%;
        height: 550px;
    }

    .colegioh3 {
        font-size: 13pt;
        margin-bottom: -10px;
    }
    .emilianih1 {
        font-size: 60px;
    }
    .centroh3 {
        font-size: 13pt;
        margin-top: -10px;
    }

    .subrayadoh1 {
        margin-left: 5%;
        margin-right: 5%;
    }

    .txtindex {
        margin-left: 20px;
        margin-right: 20px;
        font-size: 10pt;
    }

    .sabermas {
        font-size: 15pt;
        margin: 0 5%;
        padding: 5px;
    }

    .cajacarrera {
        margin: 5%;
        padding: 0;
        border-top-left-radius: 100px;
        border-bottom-right-radius: 100px;
    }
    .cajacarrerablue {
        margin: 5%;
        padding: 0;
        border-top-right-radius: 100px;
        border-bottom-left-radius: 100px;
    }

    .titulocarrera {
        font-size: 30pt;
    }

    .txtcarrera {
        padding: 10px 0;
        font-size: 35pt;
    }

    .descwhite {
        font-size: 15pt;
    }
    .descblack {
        font-size: 15pt;
    }
    .carreraimg {
        display: none;
    }
    .carreraimgblue {
        display: none;
    }
    .carreraeltexto {
        width: 900px;
        margin: 60px;
    }
    .verpensumylw {
        text-align: center;
        font-size: 15pt;
        width: 100%;
    }
    .verpensum {
        text-align: center;
        font-size: 15pt;
        width: 100%;
        margin:10px;
    }



    

    /*----------------------------------------------- POPUP RESPONSIVE -----------------------------------------------*/

    .popup {
        width: 100%;
    }

    .close-btn {
        background-color: transparent;
        font-size: 20pt;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 50%;
        width: 50px;
        height: 50px;
        top: 80px;
        right: 130px;
    }

    .popup-content {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .popup-content a img {
        width: 350px;
        height: auto;
    }

    /*----------------------------------------------- MENÚ VERTICAL RESPONSIVE -----------------------------------------------*/
    .vertical-menu
    {
        display: block !important;
        opacity: 3;
        transition: none;
        transform-origin: none;
        transform: none;
        position: unset;
        margin-top: 4%;
        background-color: #000033;
        transition: background-color 0.2s ease-in-out;
    }

    .vertical-menu:hover
    {
        background-color: #ffd601;
    }

    .menu {
        width: 40px;
        height: 40px;
    }

    .header label {
        display: initial;
    }
    
    .header {
        flex-direction: row-reverse;
        width: 100%;
    }
    
    .logohead {
        margin-right: 33%;
    }
    
    .palabra {
        display: none;
    }

    .logohead img {
        width: 120px;
        height: 90px;
    }
    
    .header .navegation {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background-color:#000033;
        display: none;
        margin: 0;
    }
    
    .header .navegation ul li {
        width: 100%;
        padding: 5px;
    }
    
    .header .navegation ul li a{
        padding:  0px 10px px 10px;
        font-size: 15px;
    }
    
    #toggle:checked ~ .navegation {
        display: block;
        z-index: 100;
    }

    /*----------------------------------------------- FOOTER RESPONSIVE -----------------------------------------------*/

    .pie-pagina .grupo-1{
        width: 90%;
        grid-template-columns: repeat(1, 1fr);
        grid-gap:30px;
        padding: 35px 10px;
    }

    .pie-pagina .grupo-1 .box figure {
        justify-content: center;
        text-align: center;
    }

    .pie-pagina .grupo-1 .box figure img {
        width: 150px;
        height: 160px;
    }
    .pie-pagina .grupo-2 small{
        font-size: 1em;
    }

    .redes a, .btn-mas label{
        display: flex;
        justify-content: center;
        align-items: center;
        text-decoration: none;
        background: #ffd601;
        color: #000033;
        width: 55px;
        height: 55px;
        border-radius: 50%;
        box-shadow: 0px 1px 10px rgba(0,0,0,0.4);
        transition: all 500ms ease;
    }

    .pie-pagina .grupo-1 .box h2{
        font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
        font-size: 1.5em;
    }

    .pie-pagina .grupo-1 .box p {
        font-size: 1em;
    }
}



/*----------------------------------------------- HORIZONTAL CELULAR RESPONSIVE -----------------------------------------------*/

@media (max-width: 900px) and (orientation: landscape) {

    .carousel {
        margin-top: -10px;
    }


    /*----------------------------------------------- POPUP RESPONSIVE -----------------------------------------------*/

    .popup {
        width: 100%;
        top: 30px;
    }

    .close-btn {
        background-color: transparent;
        font-size: 20pt;
        display: flex;
        justify-content: center;
        align-items: center;
        border-radius: 50%;
        width: 50px;
        height: 50px;
        top: 80px;
        right: 130px;
    }

    .popup-content {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .popup-content a img {
        width: 350px;
        height: auto;
    }

    /*----------------------------------------------- MENÚ VERTICAL RESPONSIVE -----------------------------------------------*/
    .vertical-menu
    {
        display: block !important;
        opacity: 3;
        transition: none;
        transform-origin: none;
        transform: none;
        position: unset;
        margin-top: 2%;
        background-color: #000033;
        transition: background-color 0.2s ease-in-out;
    }

    .vertical-menu:hover
    {
        background-color: #ffd601;
    }

    .menu {
        width: 40px;
        height: 40px;
    }

    .header label {
        display: initial;
    }
    
    .header {
        flex-direction: row-reverse;
        width: 100%;
    }
    
    .logohead {
        margin-right: 42%;
    }
    
    .palabra {
        display: none;
    }

    .logohead img {
        width: 100px;
        height: auto;
    }
    
    .header .navegation {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background-color:#000033;
        display: none;
        margin: 0;
    }
    
    .header .navegation ul li {
        width: 100%;
        padding: 5px;
    }
    
    .header .navegation ul li a{
        padding:  0px 10px px 10px;
        font-size: 15px;
    }
    
    #toggle:checked ~ .navegation {
        display: block;
        z-index: 100;
    }

    .pie-pagina .grupo-1 .red-social {
        display: inline-flex;
    }

    /*----------------------------------------------- FOOTER RESPONSIVE -----------------------------------------------*/

    .pie-pagina .grupo-1{
        width: 90%;
        grid-template-columns: repeat(1, 1fr);
        grid-gap:30px;
        padding: 35px 10px;
        margin-bottom: 20px;
    }

    .pie-pagina .grupo-1 {
        padding: 20px 35px 20px 35px;
    }

    .pie-pagina .grupo-1 .red-social {
        display: inline-flex;
    }

    .pie-pagina .grupo-1 .box figure {
        justify-content: center;
        text-align: center;
    }

    .pie-pagina .grupo-1 .box figure img {
        width: 150px;
        height: 160px;
    }
    .pie-pagina .grupo-2 small{
        font-size: 1em;
    }

    .redes a, .btn-mas label{
        display: flex;
        justify-content: center;
        align-items: center;
        text-decoration: none;
        background: #ffc401;
        color: #000033;
        width: 55px;
        height: 55px;
        border-radius: 50%;
        box-shadow: 0px 1px 10px rgba(0,0,0,0.4);
        transition: all 500ms ease;
    }

    .pie-pagina .grupo-1 .box h2{
        font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
        font-size: 1.5em;
    }

    .pie-pagina .grupo-1 .box p {
        font-size: 1em;
    }
}
